diff a/src/hotspot/share/compiler/methodLiveness.hpp b/src/hotspot/share/compiler/methodLiveness.hpp
--- a/src/hotspot/share/compiler/methodLiveness.hpp
+++ b/src/hotspot/share/compiler/methodLiveness.hpp
@@ -45,10 +45,17 @@
     , _is_valid(false)
   {}
 
   void set_is_valid() { _is_valid = true; }
   bool is_valid() const { return _is_valid; }
+
+#ifdef ASSERT
+  bool at(idx_t index) const {
+    assert(is_valid(), "reading invalid");
+    return ResourceBitMap::at(index);
+  }
+#endif
 };
 
 class MethodLiveness : public ArenaObj {
  public:
   // The BasicBlock class is used to represent a basic block in the
